• Post Reply Bookmark Topic Watch Topic
  • New Topic

Can jstl work with jdk1.2  RSS feed

 
Ashutosh Arya
Ranch Hand
Posts: 69
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi,
I wanted to use JSTL in my code but the the version of jdk used in live env is 1.2.

I doubt I can use JSTL.Please suggest a solution

Thanks.
 
Bosun Bello
Ranch Hand
Posts: 1511
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I do not see why you can't use JSTL with JDK 1.2. You just need to make sure you have the appropriate jar files in your app servers classpath to use JSTL.
 
Bear Bibeault
Author and ninkuma
Marshal
Posts: 65833
134
IntelliJ IDE Java jQuery Mac Mac OS X
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Actually I do not believe you can because I do not believe that there is a container that supports the JSTL that runs on JDK 1.2. What are you using for a servlet container?

Or are you really asking about JSP 1.2?
 
Ashutosh Arya
Ranch Hand
Posts: 69
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi Bear,

I am asking about JSP 1.2.

As JSTL tags works when we use above a certain version of JDK and JSP.

What are those versions?

Please guide me through.
 
Balu Sadhasivam
Ranch Hand
Posts: 874
Android Java VI Editor
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator

This is explained already in FAQs and here
 
Ulf Dittmer
Rancher
Posts: 42970
73
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I think JSP 1.2 only supports JSTL 1.0, not 1.1. The JSTL documentation will tell you for sure.
 
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!